textures/outpost_p4/ladder
{
	qer_trans .60 
	qer_editorimage textures/outpost_p4/ladder.jpg
	surfaceparm ladder 
	surfaceparm nodraw 
	surfaceparm nolightmap
	surfaceparm nonsolid 
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact 
	surfaceparm playerclip 
}


textures/outpost_p4/plainglass
{
	qer_editorimage textures/outpost_p4/plainglass.jpg
	surfaceparm nolightmap
	surfaceparm trans 
	surfaceparm solid 
	surfaceparm nomarks
		{
		map textures/outpost_p4/plainglass.tga
		tcGen environment 
		blendfunc GL_ONE GL_ONE 
		}
}


textures/outpost_p4/mirrortut
{
	qer_editorimage textures/outpost_p4/mirrortut.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/outpost_p4/mirrortut.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}




// from Ancient_Remains "Dasprid"

// DotProduct2 Terrain blending
// ======================================================================
textures/ancient_remains/ter_dirtmud
{
        qer_editorimage textures/ancient_remains/ter_dirtmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/ancient_remains/ter_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/ter_mossmud
{
        qer_editorimage textures/ancient_remains/ter_mossmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

	// For nice grass on the ground (drops fps :/)	
    q3map_surfacemodel maps/ase/grass.ase 45 0.15 0.6 1.2 0 360 1

	{
		map textures/ancient_remains/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ancient_remains/ter_rockmud
{
        qer_editorimage textures/ancient_remains/ter_rockmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/ancient_remains/ter_rock3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}







//----------------------------------------------------------------------
//
//Title                   : Good Times
//Date                    : 8/09/2002
//Filename                : tex-qfraggel_GT.zip
//Author                  : Thomas "Q-Fraggel" Creutzenberg
//Email Address           : q-fraggel@creutzenberg.de
//Home Page               : www.q-fraggel.de
//
//-----------------------------------------------------------------------

textures/qfraggel_GOOD_TIMES/qfraggel_GT_assemblyline
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_assemblyline.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_assemblyline.tga
		rgbGen identity
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_banner
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_banner.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 188 sin 0 4 0 0.2 
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_banner.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_beam
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_beam.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_beam.tga
		blendfunc add
		rgbGen identity
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_chain
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_chain.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_crate_big_mark
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_crate_big_mark.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 800
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_crate_big_mark.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.4 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_corona
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_corona.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_corona.tga
		blendfunc add
		rgbGen identity
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_1
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_2
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_grate_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_jumppad
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_jumppad.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_jumppad_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 300
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_jumppad_sfx.tga
		rgbGen identity
		tcMod rotate -200
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_jumppad.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_laser
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_laser.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_laser.tga
		blendfunc add
		rgbGen wave noise 0.9 0.8 0.4 8 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1a
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1a.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1a.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1b
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1b.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_1_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 480
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_sfx.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_end
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_end.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_end_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 480
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_end.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_2_end_sfx.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_3
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_3.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_3.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_3_sfx.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_4
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_4.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_4_sfx.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_5
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_5.tga
	surfaceparm nomarks
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_5.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_light_5_sfx.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.2 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_liquid
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_liquid.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_liquid.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	qer_trans 0.5
	q3map_lightsubdivide 32
	q3map_surfacelight 320
	q3map_globaltexture
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_liquid.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.4
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_logo
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_logo.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_logo_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 800
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_logo.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_logo_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.4 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_1
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_1.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_1.tga
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 100
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_1.tga
		tcMod scroll -2 0
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_2
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_2.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_2.tga
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 100
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_2.tga
		blendfunc add
		rgbGen wave sin 0.6 0.5 0 0.4 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_3
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_3.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_3.tga
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 100
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor_sfx_3.tga
		tcMod scroll 0.04 0
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_monitor.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_wall_2h2v_logo
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_wall_2h2v_logo.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 800
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_wall_2h2v_logo.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.4 
	}
}

textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad
{
	qer_editorimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad.tga
	q3map_lightimage textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 800
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/qfraggel_GOOD_TIMES/qfraggel_GT_weaponpad_sfx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.4 
	}
}

//****************************************************//
//									//
//	emeraldfog.shader for GTKRadiant			//
//	by Amethyst7 - 02.19.2002				//
//									//
//****************************************************//

textures/amethyst7/emeraldfog/emeraldfog_skybox
{
	qer_editorimage textures/amethyst7/emeraldfog/emeraldfog
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 0.8 1.0 0.9 75 270 35
	q3map_surfacelight 90
	skyparms env/amethyst7/emeraldfog/emeraldfog - -
}